# sha

Return SHA-1 digest of binary column(`bytes` type) as hex string

## Signature

> SHA(bytesCol)

## Usage Examples

These examples are based on the [Real time Quick Start](https://docs.pinot.apache.org/release-0.11.0/basics/getting-started/quick-start#realtime).

```sql
select event_id, location, SHA(location) AS hash
from meetupRsvp 
limit 1
```

| event\_id | location                           | hash                                     |
| --------- | ---------------------------------- | ---------------------------------------- |
| 282776561 | 80406178a3d70a3d714041d5c28f5c28f6 | b914583284ac29d2bd3c9d097245b031d99d687d |

{% hint style="info" %}
The row returned will be different if you run this example as the data is ingested in real-time.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pinot.apache.org/release-0.11.0/configuration-reference/functions/sha.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
